Skip to main content
POST
Create mandate
Required scope: AGENTIC_WRITE

Authorizations

Authorization
string
header
required

API key as Bearer token

Headers

Reap-Version
enum<string>
required

API version (YYYY-MM-DD)

Available options:
2025-02-14
Example:

"2025-02-14"

Reap-Subproject-Id
string<uuid>

Selects the subproject the request operates on; only accepted with a parent project credential.

Idempotency-Key
string
required

Unique key for safely retrying this request. Up to 255 characters; we recommend a UUIDv4. The first request executes and its response is cached; subsequent requests with the same key replay the cached response (24h retention).

Required string length: 1 - 255

Body

enrollmentId
string<uuid>
required
merchantUrl
string
required
Pattern: ^[Hh][Tt][Tt][Pp][Ss]?:\/\/
frequency
enum<string>
required
Available options:
ONE_TIME,
WEEKLY,
MONTHLY,
YEARLY
Example:

"ONE_TIME"

amount
object
required
presentation
object
required

Redirect config for the hosted mandate approval

validUntil
string<date-time>

Response

Response for status 200

id
string<uuid>
required
status
enum<string>
required
Available options:
REQUIRES_ACTION,
ACTIVE,
PAUSED,
CONSUMED,
EXPIRED,
FAILED,
CANCELLED,
REVOKED
Example:

"REQUIRES_ACTION"

enrollmentId
string<uuid>
required
owner
object
required
frequency
enum<string>
required
Available options:
ONE_TIME,
WEEKLY,
MONTHLY,
YEARLY
Example:

"ONE_TIME"

amount
object
required
merchant
object
required
validUntil
string<date-time> | null
required
usage
object
required
nextAction
Redirect · object | null
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required